Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## peak.can.basic
Enum TPCANParameter

    java.lang.Object
      java.lang.Enum<TPCANParameter>
          peak.can.basic.TPCANParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TPCANParameter>

    public enum TPCANParameter

extends java.lang.Enum<TPCANParameter>

Parameter definition.

Enum Constant Summary
`PCAN_5VOLTS_POWER` PCAN-PC Card 5-Volt power parameter
`PCAN_API_VERSION` PCAN-Basic API version parameter
`PCAN_BUSOFF_AUTORESET` PCAN Reset-On-Busoff parameter
`PCAN_CHANNEL_CONDITION` Availability status of a PCAN-Channel
`PCAN_CHANNEL_VERSION` PCAN device channel version parameter
`PCAN_DEVICE_NUMBER` PCAN-USB device number parameter
`PCAN_LISTEN_ONLY` PCAN Listen-Only parameter
`PCAN_LOG_CONFIGURE` Configuration of the debugged information (LOG_FUNCTION_***)
`PCAN_LOG_LOCATION` Directory path for trace files
`PCAN_LOG_STATUS` Debug-Trace activation status
`PCAN_LOG_TEXT` Custom insertion of text into the log file
`PCAN_MESSAGE_FILTER` PCAN message filter parameter
`PCAN_RECEIVE_EVENT` PCAN receive event handler parameter

Method Summary
`static java.lang.Object[]` | `customizableParameters()` Returns the list of PCAN Parameters which are customizable as array
`static java.lang.String` | `getParameterDescription(TPCANParameter param)` Returns a description for the given TPCANParameter
`int` | `getValue()`
`static TPCANParameter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TPCANParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PCAN_DEVICE_NUMBER

    public static final TPCANParameter PCAN_DEVICE_NUMBER

  PCAN-USB device number parameter

### PCAN_5VOLTS_POWER

    public static final TPCANParameter PCAN_5VOLTS_POWER

  PCAN-PC Card 5-Volt power parameter

### PCAN_RECEIVE_EVENT

    public static final TPCANParameter PCAN_RECEIVE_EVENT

  PCAN receive event handler parameter

### PCAN_MESSAGE_FILTER

    public static final TPCANParameter PCAN_MESSAGE_FILTER

  PCAN message filter parameter

### PCAN_API_VERSION

    public static final TPCANParameter PCAN_API_VERSION

  PCAN-Basic API version parameter

### PCAN_CHANNEL_VERSION

    public static final TPCANParameter PCAN_CHANNEL_VERSION

  PCAN device channel version parameter

### PCAN_BUSOFF_AUTORESET

    public static final TPCANParameter PCAN_BUSOFF_AUTORESET

  PCAN Reset-On-Busoff parameter

### PCAN_LISTEN_ONLY

    public static final TPCANParameter PCAN_LISTEN_ONLY

  PCAN Listen-Only parameter

### PCAN_LOG_LOCATION

    public static final TPCANParameter PCAN_LOG_LOCATION

  Directory path for trace files

### PCAN_LOG_STATUS

    public static final TPCANParameter PCAN_LOG_STATUS

  Debug-Trace activation status

### PCAN_LOG_CONFIGURE

    public static final TPCANParameter PCAN_LOG_CONFIGURE

  Configuration of the debugged information (LOG_FUNCTION_***)

### PCAN_LOG_TEXT

    public static final TPCANParameter PCAN_LOG_TEXT

  Custom insertion of text into the log file

### PCAN_CHANNEL_CONDITION

    public static final TPCANParameter PCAN_CHANNEL_CONDITION

  Availability status of a PCAN-Channel

Method Detail

### values

    public static TPCANParameter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TPCANParameter c : TPCANParameter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TPCANParameter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

### customizableParameters

    public static java.lang.Object[] customizableParameters()

  Returns the list of PCAN Parameters which are customizable as array

  Returns:
    the list of PCAN Parameters which are customizable as array

### getParameterDescription

    public static java.lang.String getParameterDescription(TPCANParameter param)

  Returns a description for the given TPCANParameter

  Parameters:
    `param` - TPCANParameter for which we need description
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD